AUVAL(1)

NAME
auval - AudioUnit validation

SYNOPSIS
auval [-[-64 | --ppc]] [-s TYPE] [-a] [-v|vt TYPE SUBT MANU [-w] [-de] [-dw]] [-f file]

DESCRIPTION
AUValidation tests a specified AudioUnit for API and behavioural conformance. returns: OK: 0, malformed execution: 1, unit not conformant: -1

OPTIONS

-64 | -ppc
    must be specified first. can specify either: -ppc to run using Rosetta on Intel machine, or -64 to run as 64 bit. If neither specified runs as 32 bit native architecture

-h  print help text

-a  lists all available AudioUnits of any type

-s TYPE
    lists all available AudioUnits of type 'TYPE'

-v TYPE SUBT MANU
    opens the AudioUnit specified by the TYPE SUBT MANU component ID's and tests that unit.

-vt TYPE MANU
    iterates through all of the AU's of specified TYPE and MANU

-de execution is terminated when first error is encountered

-dw execution is terminated when first warning is encountered

-c  continue validating when an error occurs in batch mode.

-q  quiet - does no printing except for errors or warnings

-qp doesn't print parameter or Factory Presets information

-o  only runs a basic open and initialize test. good for debugging basic functionality

-r N
    repeat the whole process of validation N times. good for catching open/init bugs.

-w  wait after finished - good for profiling memory usage see 'man leaks'

-vers
    The version is printed to stdout.

-versh
    The version is printed to stdout in hexadecimal.

-f FILENAME
    Each line in the file should contain one complete command.